/*
 * Title  : sho_bit.sql
 * Author : EXADIME LLC
 * Created: 29-Jul-2017
 * Updated: 29-Jul-2017
 * Release: 1.0.0
 * Purpose: Shows Oracle Bit (32-Bit or 64-Bit).
 * History: N/A
 */

start oracle.ini

set echo off
set feedback off
set serverout on

set linesize 80
set pagesize 24

set heading on
set headsep on
set underline on
set colsep " "

set verify off
set escape off
set embedded on

col "Bit" format a6

spool &&rpt_dir/sho_bit.rpt

select
	length(addr)*4 || '-bit' "Bit"
from
	v$process 
where
	rownum=1;

spool off;

clear columns

set embedded off
set escape off
set verify on

set colsep " "
set underline on
set headsep on
set heading on

set pagesize 24
set linesize 80

set serverout off
set feedback on
set echo off
